Subject: Re: bug#66902: 30.0.50; Recognize env -S/--split-string in shebangs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Nov 2023 11:41:52 +0200

> From: Kévin Le Gouguec <[email-masked]>
> Date: Sun, 12 Nov 2023 18:53:40 +0100
> 
> > 3. Assuming we do want to amend that regexp, would it be possible to use
> > rx here?  OT1H guessing "no" because files.el is pre-reloaded, whereas
> > rx.el is not; OTOH I see that files.el requires easy-mmode at
> > compile-time, and that package does not show up in loadup.el, so…
> > settling for "maybe?"
> 
> Figured rx was similar to pcase in that regard:
> 
> * They need to be required explicitly despite their macros being
>   "autoloaded", because files.el is loaded during bootstrap before
>   autoloading is set up.
> 
> * Somehow that does not cause them to be preloaded?  At least going by
>   emacs -Q,
>   * featurep returns nil,
>   * preloaded-file-list does not include them.

I'd prefer not to have rx required in files.el, so could you please
rewrite those parts of your patch and resubmit?  Also, please add a
NEWS entry about the change.  I think otherwise your patch is ready to
go in.

Thanks.